diff --git a/contrib/oid2name/oid2name.c b/contrib/oid2name/oid2name.c
index 4edf02d9c7..66d8358bc0 100644
--- a/contrib/oid2name/oid2name.c
+++ b/contrib/oid2name/oid2name.c
@@ -216,8 +216,8 @@ help(const char *progname)
 		   "  -?, --help                 show this help, then exit\n"
 		   "\nConnection options:\n"
 		   "  -d, --dbname=DBNAME        database to connect to\n"
-		   "  -h, --host=HOSTNAME        database server host or socket directory\n"
-		   "  -H                         same as -h, deprecated option\n"
+		   "  -h, -H, --host=HOSTNAME    database server host or socket directory\n"
+		   "                             (-H is deprecated)\n"
 		   "  -p, --port=PORT            database server port number\n"
 		   "  -U, --username=USERNAME    connect as specified database user\n"
 		   "\nThe default action is to show all database OIDs.\n\n"
diff --git a/src/backend/main/main.c b/src/backend/main/main.c
index 37989ba567..311bd7ce96 100644
--- a/src/backend/main/main.c
+++ b/src/backend/main/main.c
@@ -339,7 +339,7 @@ help(const char *progname)
 	printf(_("  -e                 use European date input format (DMY)\n"));
 	printf(_("  -F                 turn fsync off\n"));
 	printf(_("  -h HOSTNAME        host name or IP address to listen on\n"));
-	printf(_("  -i                 enable TCP/IP connections\n"));
+	printf(_("  -i                 enable TCP/IP connections (deprecated)\n"));
 	printf(_("  -k DIRECTORY       Unix-domain socket location\n"));
 #ifdef USE_SSL
 	printf(_("  -l                 enable SSL connections\n"));
diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index ad6693c358..75010d5a28 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -1039,9 +1039,11 @@ help(const char *progname)
 	printf(_("\nOptions controlling the output content:\n"));
 	printf(_("  -a, --data-only              dump only the data, not the schema\n"));
 	printf(_("  -b, --large-objects, --blobs\n"
-			 "                               include large objects in dump\n"));
+			 "                               include large objects in dump\n"
+			 "                               (--blobs is deprecated)\n"));
 	printf(_("  -B, --no-large-objects, --no-blobs\n"
-			 "                               exclude large objects in dump\n"));
+			 "                               exclude large objects in dump\n"
+			 "                               (--no-blobs is deprecated)\n"));
 	printf(_("  -c, --clean                  clean (drop) database objects before recreating\n"));
 	printf(_("  -C, --create                 include commands to create database in dump\n"));
 	printf(_("  -e, --extension=PATTERN      dump the specified extension(s) only\n"));
